read.xport {foreign} | R Documentation

## Read a SAS XPORT Format Library

### Description

Reads a file as a SAS XPORT format library and returns a list of data.frames.

### Usage

    read.xport(file)

### Arguments

`file` | character variable with the name of the file to read. The file must be in SAS XPORT format.

### Value

If there is a more than one dataset in the XPORT format library, a named list of data frames, otherwise a data frame. The columns of the data frames will be either numeric (corresponding to numeric in SAS) or factor (corresponding to character in SAS). All SAS numeric missing values (including special missing values represented by `._`, `.A` to `.Z` by SAS) are mapped to R `NA`.
Trailing blanks are removed from character columns before conversion to a factor. Some sources claim that character missing values in SAS are represented by `' '` or `''`: these are not treated as R missing values.

### Author(s)

Saikat DebRoy <saikat@stat.wisc.edu>

### References

SAS Technical Support document TS-140: ``The Record Layout of a Data Set in SAS Transport (XPORT) Format'' available at http://ftp.sas.com/techsup/download/technote/ts140.html.

### See Also

`lookup.xport`

### Examples

    ## Not run:
    read.xport("transport")
    ## End(Not run)

[Package foreign version 0.8-20 Index]